petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatNestGetLocalISs

Returns the index sets partitioning the row and column spaces

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestGetLocalISs(Mat A,IS rows[],IS cols[])

Not collective

### Input Parameters

A -nest matrix

### Output Parameter

| rows | - array of row index sets (or NULL to ignore)
| cols | - array of column index sets (or NULL to ignore)

### Notes

The user must have allocated arrays of the correct size. The reference count is not increased on the returned ISs.

### See Also

MatNestGetSubMat(), MatNestGetSubMats(), MatNestGetSize(), MatNestGetISs()

### Level

advanced

### Location

src/mat/impls/nest/matnest.c

### Implementations

MatNestGetLocalISs_Nest in src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages